import { jsx } from "react/jsx-runtime";
import { TextTSlash as TextTSlash$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TextTSlash = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "TextTSlash", ...props, children: /* @__PURE__ */ jsx(TextTSlash$1, { weight: variant }) });
  }
);
TextTSlash.displayName = "TextTSlash";
Object.assign(TextTSlash, { isGdsIcon: true });
export {
  TextTSlash
};
